| Multivariate Pattern Analysis in Python

### Navigation

- index
- next |
- previous |
- ExpPsy Project |
- NeuroDebian Project |
- PyMVPA 0.4.x Home |
- PyMVPA Home |
- Documentation »
- Module Reference »

This content refers to the previous stable release of PyMVPA. Please visit www.pymvpa.org for the most recent version of PyMVPA and its documentation.

# misc.args

## Module: `misc.args`

Helpers for arguments handling.

## Functions

`mvpa.misc.args.``group_kwargs`(prefixes, assign=False, passthrough=False)

  Decorator function to join parts of kwargs together

  Parameters:

  - prefixes (list of basestrings) – Prefixes to split based on. See split_kwargs
  - assign (bool) – Flag to assign the obtained arguments to self._<prefix>_kwargs
  - passthrough (bool) – Flag to pass joined arguments as <prefix>_kwargs argument. Usually it is sufficient to have either assign or passthrough. If none of those is True, decorator simply filters out mentioned groups from being passed to the method

  Example: if needed to join all args which start with ‘slave<underscore>’ together under slave_kwargs parameter

`mvpa.misc.args.``split_kwargs`(kwargs, prefixes=[])

  Helper to separate kwargs into multiple groups

  Parameters: | prefixes (list of basestrings) – Each entry sets a prefix which puts entry with key starting with it into a separate group. Group ‘’ corresponds to ‘leftovers’
  Output : | dictionary with keys == prefixes

### Navigation

- index
- next |
- previous |
- ExpPsy Project |
- NeuroDebian Project |
- PyMVPA 0.4.x Home |
- PyMVPA Home |
- Documentation »
- Module Reference »